Group: Engineering
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-validate gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           elfelli
Version:        0.3.1
Release:        alt2_19
Summary:        A visualisation tool for flux lines

License:        GPLv2+
URL:            http://home.gna.org/elfelli/
Source0:        http://download.gna.org/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++-common
BuildRequires:  libgtkmm2-devel
BuildRequires:  libexpat-devel
BuildRequires:  scons
BuildRequires:  desktop-file-utils
BuildRequires:  gettext gettext-tools

Requires:       icon-theme-hicolor
Source44: import.info

%description
A tool to calculate and visualize electric flux lines around charged
bodies.

%prep
%setup -q

%build
scons %{?_smp_mflags} prefix=%{_prefix} ccflags="%{optflags}"

%install
scons install destdir=%{buildroot} 
%find_lang %{name}
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

%files -f %{name}.lang
%doc COPYING README 
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*x*/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg

%changelog
* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 0.3.1-alt2_19
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.3.1-alt2_17
- update to new release by fcimport

* Sun Sep 20 2015 Cronbuild Service <cronbuild@altlinux.org> 0.3.1-alt2_13
- rebuild to get rid of unmets

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 0.3.1-alt1_13
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.3.1-alt1_12
- update to new release by fcimport

* Thu Jan 23 2014 Igor Vlasenko <viy@altlinux.ru> 0.3.1-alt1_11
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.1-alt1_10
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.1-alt1_9
- update to new release by fcimport

* Thu Dec 20 2012 Igor Vlasenko <viy@altlinux.ru> 0.3.1-alt1_8
- fc import

